package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.entity.vo.knowledge.KnowledgeDetailResVO;
import com.supervision.knowsub.entity.vo.knowledge.ModifyKnowledgeReqVO;
import com.supervision.knowsub.entity.vo.knowledge.SaveKnowledgeReqVO;
import com.supervision.knowsub.model.Knowledge;
import org.springframework.web.bind.annotation.RequestBody;

public interface KnowledgeManageService {

    IPage<Knowledge> queryKnowledgePage(Integer status, String title, String publishDeptName, Integer pageNum, Integer pageSize);

    void saveKnowledge(SaveKnowledgeReqVO reqVO);

    void updateKnowledge(ModifyKnowledgeReqVO reqVO);

    void recallKnowledge(String knowledgeId);

    KnowledgeDetailResVO queryKnowledgeDetail(String knowledgeId);

    void deleteKnowledge(String knowledgeId);
}
